summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: befc9c4)
raw | patch | inline | side by side (parent: befc9c4)
author | Linus Torvalds <torvalds@linux-foundation.org> | |
Fri, 13 Apr 2007 21:34:18 +0000 (14:34 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 14 Apr 2007 10:39:36 +0000 (03:39 -0700) |
There were two bugs: "stop_here" doesn't exist, but the bug that causes
this code to trigger in the *first* place is the wrong use of "$dotest".
It should be ".dotest"
This is essentially the same bug introduced by 87ab7992, one was
fixed with 0d38ab25 but this was somehow left behind.
Signed-off-by: Junio C Hamano <junkio@cox.net>
this code to trigger in the *first* place is the wrong use of "$dotest".
It should be ".dotest"
This is essentially the same bug introduced by 87ab7992, one was
fixed with 0d38ab25 but this was somehow left behind.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-quiltimport.sh | patch | blob | history |
diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index edccd827553d04dde89f210bbb5128ccc09eff3d..018cc75bd032fd337b559c14b85f51f0418447ff 100755 (executable)
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
for patch_name in $(cat "$QUILT_PATCHES/series" | grep -v '^#'); do
echo $patch_name
(cat $QUILT_PATCHES/$patch_name | git-mailinfo "$tmp_msg" "$tmp_patch" > "$tmp_info") || exit 3
- test -s $dotest/patch || {
+ test -s .dotest/patch || {
echo "Patch is empty. Was is split wrong?"
- stop_here $this
+ exit 1
}
# Parse the author information